Skip to content

ショップ関連動画リスト

概要

指定したショップに関連する動画リストを取得します。以下の機能をサポートします。

  • ショップIDで検索
  • 動画の説明、再生回数、エンゲージメントデータなどの詳細な動画情報を返します
  • 販売数や売上などの動画に関連する販売データを含みます

API エンドポイント

bash
    POST /shop/v1/videoList

リクエストボディ

フィールド必須説明
filterobjectいいえフィルターパラメータ
orderbyarrayいいえソートパラメータ
pageintegerいいえデフォルト: 1
pagesizeintegerいいえデフォルト: 10

filter オプション値

フィールド必須説明
seller_idstringいいえショップID
creator_uidstringいいえショップに関連するクリエイターUID
creator_unique_idstringいいえショップに関連するユニーククリエイターID: @xxxxxxx
seller_namestringいいえショップ名
regionstringいいえショップの国/地域
create_time_rangeobjectいいえ動画公開時間範囲: {"min":1700000000,"max":1700000000}

seller_nameregion は同時に指定する必要があります

orderby オプション値

フィールド必須説明
play_countいいえ再生回数
digg_countいいえいいね数
comment_countいいえコメント数
share_countいいえシェア数
units_soldいいえ販売数
gmvいいえ売上金額(GMV)

リクエスト例

bash
curl 'https://openapi.fastmoss.com/shop/v1/videoList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "seller_id": "7495500842223700917",
        # "creator_uid": "xxxxxxxxxxx",
        # "creator_unique_id": "xxxxxxx",
        # "seller_name": "xxxxxx",
        # "region": "US",
        # "create_time_range": {
        #     "min": 1700000000,
        #     "max": 1700000000
        # }
    },
    "orderby": [{
        "field": "play_count",
        "order": "desc"
    }],
    # "orderby": [{
    #     "field": "digg_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "comment_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "share_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "units_sold",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "gmv",
    #     "order": "desc"
    # }],
    "page": 1,
    "pagesize": 10
}'

レスポンスボディ

data.list

フィールド説明
product_idstring商品ID
video_idstring動画ID
uidstringユーザーID
seller_idstringセラーID
is_adint広告かどうか
comment_countintコメント数
digg_countintいいね数
play_countint再生回数
share_countintシェア数
create_datestring作成日
units_soldint販売数
gmvfloat売上金額
regionstring国/地域
videoobject動画情報オブジェクト

data.list.video

フィールド説明
video_descstring動画の説明
coverstringカバー画像URL
durationint再生時間(秒)
fastmoss_urlstringFastmossリンク
tiktok_urlstringTikTokリンク
uidstringユーザーID
create_timetimestamp作成時間

data.total

フィールド説明
totalstring総レコード数

レスポンス例

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "product_id": "1729421229342823356",
        "video_id": "7468186866076880170",
        "uid": "6790997286808093702",
        "create_time": 1738838400,
        "is_ad": "0",
        "seller_id": "7495150597721263036",
        "comment_count": "0",
        "digg_count": "14",
        "play_count": "4592",
        "share_count": "0",
        "create_date": "2025-02-06",
        "sold_count": "28",
        "sale_amount": "700.0000",
        "video": {
          "video_desc": "@tarte cosmetics #tiktokshoploveatfirstfind #fypシ #tartecosmetics ",
          "cover": "https://s.500fd.com/tt_video/oIMPp5BmEi2ZEHYBiVzCkBKA0IlmpTGfwAhiOI",
          "duration": "12",
          "fastmoss_url": "https://www.fastmoss.com/zh/media-source/video/7468186866076880170",
          "tiktok_url": "https://www.tiktok.com/@brriiddgett/video/7468186866076880170",
          "uid": "6790997286808093702",
          "create_time": 1738838400
        },
        "region": "US"
      }
    ],
    "total": "3809"
  },
  "message": "success",
  "timestamp": 1743573480,
  "request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}